CREATE TABLE ce_bank_account_grants_ (
    GRANT_ID                 NUMBER(18, 0) ,
    BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    GRANTEE_TYPE             VARCHAR2(120) ,
    GRANTEE_KEY              VARCHAR2(256) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ACTIVE_FLAG              VARCHAR2(4)   ,
    USER_ROLE_NAME           VARCHAR2(400) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    GRANT_ID                 NUMBER(18, 0) ,
    BANK_ACCOUNT_ID          NUMBER(18, 0) ,
    GRANTEE_TYPE             VARCHAR2(120) ,
    GRANTEE_KEY              VARCHAR2(256) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ACTIVE_FLAG              VARCHAR2(4)   ,
    USER_ROLE_NAME           VARCHAR2(400) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_ce_bank_account_grants_ PRIMARY KEY (GRANT_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, GRANT_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
